FreeMat

- Main Page
- Related Pages

vtkImageSobel3D

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageSobel3D computes a vector field from a scalar field by using Sobel functions. The number of vector components is 3 because the input is a volume. Output is always doubles. A little creative liberty was used to extend the 2D sobel kernels into 3D.

To create an instance of class vtkImageSobel3D, simply invoke its constructor as follows

      obj = vtkImageSobel3D

# Methods

The class vtkImageSobel3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageSobel3D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageSobel3D = obj.NewInstance ()`
- `vtkImageSobel3D = obj.SafeDownCast (vtkObject o)`